$schema: "http://json-schema.org/draft-06/schema#"

title: clouddeploy v1 GKECluster export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  cluster:
    description: Name of the cluster.
    type: string
  location:
    description: Location of the cluster.
    type: string
  project:
    description: Project in which the cluster is located.
    type: string
